summaryrefslogtreecommitdiff
path: root/hooks/update
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/update')
-rwxr-xr-xhooks/update20
1 files changed, 3 insertions, 17 deletions
diff --git a/hooks/update b/hooks/update
index 4c2fc08..73740da 100755
--- a/hooks/update
+++ b/hooks/update
@@ -1,18 +1,4 @@
-#!/usr/bin/env ruby
+#!/bin/sh
+echo "The gitlab-shell hooks have been migrated to Gitaly, see https://gitlab.com/gitlab-org/gitaly/issues/1226"
+exit 1
-# This file was placed here by GitLab. It makes sure that your pushed commits
-# will be processed properly.
-
-ref_name = ARGV[0]
-old_value = ARGV[1]
-new_value = ARGV[2]
-repo_path = Dir.pwd
-key_id = ENV.delete('GL_ID')
-
-require_relative '../lib/gitlab_custom_hook'
-
-if GitlabCustomHook.new(repo_path, key_id).update(ref_name, old_value, new_value)
- exit 0
-else
- exit 1
-end